## kontact 25.08.3+p24.04+vunstable+git20251204.0323

=== CMakeLists.txt ===
set(PIM_VERSION "6.6.40")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(kontact VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "26.03.40")

# Use true if stable version => we will check specific version
set(KONTACT_STABLE_VERSION false)

# Update it for each release
set(KONTACT_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd

set(KF_MIN_VERSION "6.19.0")
set(QT_REQUIRED_VERSION "6.9.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

# Do NOT add quote
set(KDEPIM_DEV_VERSION alpha)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
set(PIMCOMMON_LIB_VERSION "6.6.40")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Widgets
        WebEngineWidgets
)
set(LIBKDEPIM_LIB_VERSION "6.6.40")
set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
set(KTEXTADDONS_MIN_VERSION "1.8.82")

# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

include_directories(
    ${kontact_SOURCE_DIR}
    ${kontact_BINARY_DIR}
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)

add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT KONTACT
        FILE kontact.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kontact (4:25.08.3+p24.04+vunstable+git20251204.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:23:41 +0000

kontact (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:26 +1000

## kontact 25.08.3+p24.04+vunstable+git20251206.1012

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Update it for each release
 set(KONTACT_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kontact (4:25.08.3+p24.04+vunstable+git20251206.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:12:14 +0000

## kontact 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(RELEASE_SERVICE_VERSION "25.11.80")
 
 # Use true if stable version => we will check specific version
-set(KONTACT_STABLE_VERSION false)
+set(KONTACT_STABLE_VERSION true)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -55,7 +55,7 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION beta)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -64,8 +64,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,9 +79,9 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -107,6 +107,10 @@
 find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
 
 include_directories(
     ${kontact_SOURCE_DIR}

=== src/CMakeLists.txt ===
configure_file(kontact-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kontact-version.h @ONLY)
configure_file(config-kontact.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kontact.h)
add_subdirectory(about)
add_library(kontactprivate)

########### next target ###############

target_sources(
    kontactprivate
    PRIVATE
        webengine/introductionwebenginepage.cpp
        webengine/introductionwebengineview.cpp
        mainwindow.cpp
        sidepanebase.cpp
        iconsidepane.cpp
        ksettingsdialog/kontactkcmultidialog.cpp
        ksettingsdialog/kontactsettingsdialog.cpp
        kontactconfiguredialog.cpp
        webengine/introductionwebenginepage.h
        webengine/introductionwebengineview.h
        mainwindow.h
        sidepanebase.h
        iconsidepane.h
        ksettingsdialog/kontactkcmultidialog.h
        ksettingsdialog/kontactsettingsdialog.h
        ksettingsdialog/kontactkcmultidialog_p.h
        ksettingsdialog/kontactsettingsdialog_p.h
        kontactconfiguredialog.h
        kontact.qrc
)

ecm_qt_declare_logging_category(kontactprivate HEADER kontact_debug.h IDENTIFIER KONTACT_LOG CATEGORY_NAME org.kde.pim.kontact
        DESCRIPTION "kontact (kontact application)"
        OLD_CATEGORY_NAMES log_kontact
        EXPORT KONTACT
)

kconfig_add_kcfg_files(kontactprivate prefs.kcfgc)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kontactprivate
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(kontactprivate BASE_NAME kontact)

target_link_libraries(
    kontactprivate
    PUBLIC
        KF6::IconThemes
    PRIVATE
        KF6::KCMUtils
        KF6::I18n
        KF6::KIOWidgets
        KPim6::KontactInterface
        KF6::GuiAddons
        KPim6::Libkdepim
        KPim6::PimCommon
        KPim6::GrantleeTheme
        Qt::WebEngineWidgets
        KF6::TextAddonsWidgets
)

set_target_properties(
    kontactprivate
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

install(
    TARGETS
        kontactprivate
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

########### next target ###############

file(GLOB icons "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kontact.png")
ecm_add_app_icon(kontact_bin_SRCS ICONS ${icons})

add_executable(kontact_bin)
target_sources(
    kontact_bin
    PRIVATE
        main.cpp
        kontact_debug.cpp
)

set_target_properties(
    kontact_bin
    PROPERTIES
        OUTPUT_NAME
            kontact
)

target_link_libraries(
    kontact_bin
    kontactprivate
    KF6::I18n
    KPim6::KontactInterface
    KF6::Crash
    Qt::DBus
    KF6::IconThemes
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kontact_bin
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
install(
    TARGETS
        kontact_bin
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### next target ###############

add_library(
    kcm_kontact
    MODULE
    kcmkontact.cpp
    kcmkontact.h
)
target_link_libraries(
    kcm_kontact
    KF6::I18n
    KF6::KCMUtils
    KPim6::Libkdepim
    kontactprivate
    KF6::KIOWidgets
    KPim6::KontactInterface
)

install(TARGETS kcm_kontact DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kontact)

########### install files ###############

install(PROGRAMS data/org.kde.kontact.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/org.kde.kontact.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kontact.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
configure_file(data/org.kde.kontact.service.in org.kde.kontact.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kontact.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

add_subdirectory(icons)

=== debian/changelog ===
kontact (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:40 +0000

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libgrantleetheme-dev (>= 25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.11.80~),
               libpimcommon-dev (>= 4:25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kontact
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Rules-Requires-Root: no

Package: kontact
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: accountwizard, akregator, kaddressbook, kmail, korganizer,
Suggests: apparmor
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.

## kontact 25.11.90

=== debian/changelog ===
kontact (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:20 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libgrantleetheme-dev (>= 25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkontactinterface-dev (>= 25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.0")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "25.12.0")
 
 # Use true if stable version => we will check specific version
 set(KONTACT_STABLE_VERSION true)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -55,7 +55,7 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -64,8 +64,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,8 +79,8 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package

=== debian/changelog ===
kontact (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:27:54 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libgrantleetheme-dev (>= 25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -22,8 +22,8 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkontactinterface-dev (>= 25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kontact 25.12.0+p24.04+vstable+git20251224.0903

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.0")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 
 # Use true if stable version => we will check specific version
 set(KONTACT_STABLE_VERSION true)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")

## kontact 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,8 +64,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,8 +79,8 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.6.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package

=== debian/changelog ===
kontact (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:17 +0100

kontact (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:49:10 +0100

kontact (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:44 +0100

kontact (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:41 +0100

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libgrantleetheme-dev (>= 25.12.1~),
               libkdepim-dev (>= 4:25.12.1~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkontactinterface-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               libpimcommon-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
Standards-Version: 4.7.3
Homepage: https://kontact.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kontact
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kontact.git
Rules-Requires-Root: no

Package: kontact
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: accountwizard,
            akregator,
            kaddressbook,
            kmail,
            korganizer,
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.

## kontact 25.12.1+p24.04+vstable+git20260128.1313

=== debian/changelog ===
kontact (4:25.12.1+p24.04+vstable+git20260128.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:13:32 +0000

kontact (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:01 +1000

kontact (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:30 +1000

## kontact 25.12.1+p24.04+vstable+git20260131.0346

=== debian/changelog ===
kontact (4:25.12.1+p24.04+vstable+git20260131.0346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:46:54 +0000

## kontact 25.12.1+p24.04+vunstable+git20260205.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
-set(PIM_VERSION "6.6.1")
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "6.6.40")
+cmake_minimum_required(VERSION 3.27)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.1")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 # Use true if stable version => we will check specific version
-set(KONTACT_STABLE_VERSION true)
+set(KONTACT_STABLE_VERSION false)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -31,16 +31,44 @@
 if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
     if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
         file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
-        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        string(
+            FIND "${FILE_CONTENTS}"
+            "File generated by pre-commit"
+            INDEX
+        )
         if(${INDEX} GREATER_EQUAL 0)
             set(PRE_COMMIT_INSTALLED TRUE)
         endif()
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -55,7 +83,7 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -64,8 +92,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,9 +107,9 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.6.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -108,16 +136,17 @@
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
-
 include_directories(
     ${kontact_SOURCE_DIR}
     ${kontact_BINARY_DIR}
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0  KF 6.22.0)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kontact (4:25.12.1+p24.04+vunstable+git20260205.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:37:44 +0000

## kontact 25.12.2

=== CMakeLists.txt ===
set(PIM_VERSION "6.6.2")
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(kontact VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.12.2")

# Use true if stable version => we will check specific version
set(KONTACT_STABLE_VERSION true)

# Update it for each release
set(KONTACT_RELEASE_VERSION_DATE "26.02.05") # yy.MM.dd

set(KF_MIN_VERSION "6.18.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KONTACTINTERFACE_LIB_VERSION "6.6.2")
set(PIMCOMMON_LIB_VERSION "6.6.2")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        DBus
        Widgets
        WebEngineWidgets
)
set(LIBKDEPIM_LIB_VERSION "6.6.2")
set(LIBGRANTLEETHEME_LIB_VERSION "6.6.2")
set(KTEXTADDONS_MIN_VERSION "1.8.0")

# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
endif()

include_directories(
    ${kontact_SOURCE_DIR}
    ${kontact_BINARY_DIR}
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)

add_definitions(-DTRANSLATION_DOMAIN=\"kontact\")
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT KONTACT
        FILE kontact.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kontact (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:41:42 +0000

kontact (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:38:10 +0000

kontact (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:00 +0000

=== debian/control ===
Source: kontact
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libgrantleetheme-dev (>= 25.12.2~),
               libkdepim-dev (>= 4:25.12.2~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.12.2~),
               libpimcommon-dev (>= 4:25.12.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kontact
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kontact
Rules-Requires-Root: no

Package: kontact
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: accountwizard, akregator, kaddressbook, kmail, korganizer,
Suggests: apparmor
Homepage: http://kontact.kde.org/
Description: integrated application for personal information management
 Kontact is the integrated solution to your personal information management
 needs. It combines applications like KMail, KOrganizer and
 KAddressBook into a single interface to provide easy access to mail,
 scheduling, address book and other PIM functionality.
